#
# spec file for package python-Pyphen
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-Pyphen
Version:        0.17.2
Release:        1.3
Summary:        Pure Python module to hyphenate text
License:        GPL-2.0-or-later AND LGPL-2.1-or-later AND MPL-1.1
URL:            https://github.com/Kozea/Pyphen
Source:         https://github.com/Kozea/Pyphen/archive/%{version}.tar.gz
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Pyphen is a pure Python module to hyphenate text using existing Hunspell
hyphenation dictionaries.

This module is a fork of python-hyphenator, written by Wilbert Berendsen.

%prep
%setup -q -n Pyphen-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license COPYING.GPL COPYING.LGPL COPYING.MPL
%{python_sitelib}/pyphen
%{python_sitelib}/pyphen-%{version}.dist-info

%changelog
* Thu Feb  6 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.17.2
  * Fix Oriya dictionary name.
  * Update documentation.
- from version 0.17.1
  * Update Mongolian dictionary.
  * Add Assamese, Kannada, Sanskrit, Punjabi, Oriya, Marathi dictionaries.
* Thu Oct 31 2024 Dirk Müller <dmueller@suse.com>
- update to 0.17.0:
  * Support Python 3.13, drop Python 3.8 support.
  * Update Hungarian dictionary.
* Sun Aug 18 2024 Dirk Müller <dmueller@suse.com>
- update to 0.16.0:
  * Close file when reading encoding
  * Update dictionary repository
* Thu Jun  6 2024 Dirk Müller <dmueller@suse.com>
- update to 0.15.0:
  * Support Python 3.12, drop Python 3.7 support.
  * Add READMEs for dictionaries.
  * Add Basque hyphenation dictionary.
  * Update Catalan and Hungarian dictionaries.
  * Use Ruff instead of Flake8 and isort.
* Thu Jan 11 2024 Daniel Garcia <daniel.garcia@suse.com>
- Add %%{?sle15_python_module_pythons} to build for python 3.11 in Leap
* Tue Jan  9 2024 Dirk Müller <dmueller@suse.com>
- update to 0.14.0:
  * Store Path objects instead of strings in LANGUAGE.
  * Use importlib.resources instead of deprecated pkg_resources.
  * Add Thai dictionary.
  * Update Italian dictionary.
  * Make language parameter case-insensitive.
  * Add Catalan dictionary.
  * Update French dictionary.
  * Update script upgrading dictionaries.
  * Support Python 3.10, drop Python 3.6 support.
  * Add documentation.
  * Update Belarusian dictionary.
  * Update dictionaries (add Albanian, Belarusian, Esperanto,
    Mongolian; update Italian, Portuguese of Brazil, Russian).
  * Use Flit for packaging. You can now build packages using pip
    install flit, flit build.
* Thu Mar 11 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.10.0:
  * Ignore *HYPHENMIN options in dictionaries
  * Improve dictionaries update script
  * Drop Python 3.5 and add Python 3.9 support
* Fri Feb 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Switch to github tarball for the test.py so source_validators
  actually works
* Thu Feb 21 2019 Hans-Peter Jansen <hpj@urpla.net>
- Update to version 0.9.5
  + Update Bulgarian and Spanish dictionaries, add Indonesian
- Add test.py from GH, missing in tarball, enable checks
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Initial version
